package com.ss.android.ugc.aweme.global.config.settings.pojo;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.ArrayList;
import java.util.List;

public class MtcertSettings {
    @c(LIZ = "cert_url_schema")
    public String certUrlSchema = "";
    @c(LIZ = "enable_change_handle_notice")
    public Boolean enableChangeHandleNotice = false;
    @c(LIZ = "enable_change_mobile_notice")
    public Boolean enableChangeMobileNotice = false;
    @c(LIZ = "enable_change_nickname_notice")
    public Boolean enableChangeNicknameNotice = false;
    @c(LIZ = "enable_private_account_notice")
    public Boolean enablePrivateAccountNotice = false;
    @c(LIZ = "show_cert_entry")
    public Boolean showCertEntry = false;
    @c(LIZ = "verification_badge_type")
    public List<VerificationBadgeType> verificationBadgeType = new ArrayList();

    static {
        Covode.recordClassIndex(82879);
    }

    public String getCertUrlSchema() {
        return this.certUrlSchema;
    }

    public Boolean getEnableChangeHandleNotice() {
        return this.enableChangeHandleNotice;
    }

    public Boolean getEnableChangeMobileNotice() {
        return this.enableChangeMobileNotice;
    }

    public Boolean getEnableChangeNicknameNotice() {
        return this.enableChangeNicknameNotice;
    }

    public Boolean getEnablePrivateAccountNotice() {
        return this.enablePrivateAccountNotice;
    }

    public Boolean getShowCertEntry() {
        return this.showCertEntry;
    }

    public List<VerificationBadgeType> getVerificationBadgeType() {
        return this.verificationBadgeType;
    }
}
